# Verhaltenskodex

## Unser Versprechen

Wir als Mitglieder, Mitwirkende und Führungskräfte verpflichten uns, die Anteilnahme in unserer Community zu einer Erfahrung frei von Belästigungen für alle und jeden zu machen, unabhängig von Alter, Körpergröße, (un-)sichtbarer Behinderung, Ethnie, geschlechtlichen Merkmalen, Gender-Identität und Äußerung, Erfahrungs- oder Bildungsniveau, sozialökonomischem Status, Nationalität, persönlichem Erscheinungsbild, Gesellschaftsklasse, Hautfarbe, Religion, oder sexueller Identität und Ausrichtung.

Wir versprechen, in einer Art und Weise zu handeln, die zu einer offenen, einladenden, diversen, inklusiven, und gesunden Community beiträgt.

## Unsere Ansprüche

Verhaltensbeispiele, die zu einem positiven Umfeld für unsere Community beitragen:

- Empathie und Freundlichkeit anderen Menschen gegenüber aufzeigen
- Abweichende Meinungen, Standpunkte und Erfahrungen respektieren
- Konstruktives Feedback geben und würdevoll annehmen
- Verantwortung übernehmen und sich bei denjenigen entschuldigen, die durch unsere Fehler in Mitleidenschaft gezogen wurden, und aus dieser Erfahrung lernen
- Sich auf das Gemeinwohl fokussieren, anstatt nur auf das individuelle Wohl zu achten

Verhaltensbeispiele, die inakzeptables Verhalten zeigen:

- Sich sexualisierter Sprache oder Symbolik bedienen, sowie sexuelle Aufmerksamkeit oder Annäherungen jeder Art
- Beleidigende, herablassende, oder Troll-Kommentare, sowie persönliche oder politische Angriffe
- Öffentliche oder private Belästigung
- Das Veröffentlichen privater Informationen anderer, wie physische oder E-Mail-Adressen, ohne deren explizite Erlaubnis
- Jegliche andere Verhaltensweisen, die nach vernünftigem Ermessen in einem professionellen Umfeld als unangemessen angesehen werden können

## Durchsetzungsverantwortungen

Community-Sprecher tragen die Verantwortung, unsere Verhaltensmaßstäbe für akzeptables Benehmen klarzustellen und durchzusetzen und werden jeglichem Verhalten, das sie als unangemessen, bedrohend, anstößig, oder schädlich ansehen, mit angemessenen und fairen Korrekturmaßnahmen entgegentreten.

Community-Sprecher haben das Recht und die Verantwortung, Kommentare, Commits, Code, Wiki-Edits, Themen, und andere Beiträge, die nicht unserem Verhaltenskodex entsprechen, zu entfernen, bearbeiten, oder abzulehnen, und werden die Gründe für solche Entscheidungen kommunizieren, wenn angebracht.

## Geltungsrahmen

Der Verhaltenskodex gilt in allen Community-Räumen, sowie wenn ein Individuum die Community in öffentlichen Räumen offiziell repräsentiert. Ein Beispiel einer solchen Repräsentanz unserer Community beinhaltet das Nutzen einer offiziellen E-Mail-Adresse, das Posten über einen offiziellen Social-Media-Account, oder sich auf einer Veranstaltung online oder offline als ein ausgewählter Vertreter zu verhalten.

## Durchsetzung

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement (see _Contact_ menu on [www.qownnotes.org](https://www.qownnotes.org/)). Alle Beschwerden werden umgehend und fair überprüft und untersucht.

Alle Community-Sprecher sind dazu verpflichtet, die Privatsphäre und Sicherheit der Berichterstatter eines Vorfalls zu respektieren.

## Durchsetzungsrichtlinien

Community-Sprecher werden diesen Richtlinien zum Community-Anstoß folgen, um die Konsequenzen eines jeden Vergehens zu bestimmen, welches den Verhaltenskodex verletzt:

### 1. Richtigstellung

**Community-Anstoß**: Gebrauch unangemessener Sprache oder anderweitiges Verhalten, welches in der Community als unprofessionell oder unerwünscht angesehen wird.

**Konsequenz**: Eine private, schriftliche Warnung von Community-Sprechern, die Klarheit über den Verstoß und eine Erklärung, warum das Verhalten unangebracht war, bietet. Eventuell kann eine öffentliche Entschuldigung verlangt werden.

### 2. Warnung

**Community-Anstoß**: Ein Verstoß durch einen einzigen Vorfall oder eine Serie von Handlungen.

**Konsequenz**: Eine Warnung mit Konsequenzen für fortführendes Verhalten. Keine Interaktionen mit den involvierten Personen, einschließlich unaufgeforderter Interaktion mit denen, die den Verhaltenskodex durchsetzen, für eine bestimme Zeit. Dies beinhaltet das Vermeiden von Interaktionen sowohl in Community-Räumen als auch auf externen Kanälen wie Social Media. Missachtung dieser Bedingungen kann zu einer vorübergehenden oder dauerhaften Sperre führen.

### 3. Vorübergehende Sperre

**Community-Anstoß**: Eine ernsthafte Missachtung der Community-Standards, einschließlich anhaltendem unangemessenem Verhalten.

**Konsequenz**: Eine vorübergehende Sperre von jeglicher Interaktion oder öffentlicher Kommunikation mit der Community für eine bestimmte Zeitspanne. Öffentliche oder private Interaktion mit involvierten Personen, einschließlich unaufgeforderter Interaktion mit denen, die den Verhaltenskodex durchsetzen, ist während dieser Zeit nicht gestattet. Missachtung dieser Bedingungen kann zu einer dauerhaften Sperre führen.

### 4. Dauerhafte Sperre

**Community-Anstoß**: Aufzeigen eines Musters aus Verstößen gegen Community-Standards, einschließlich dauerhaftem unangemessenem Verhalten, Belästigung eines Individuums, oder Angriffe gegen oder Verunglimpfung von individuellen Gruppen.

**Konsequenz**: Eine dauerhafte Sperre von jeglicher Art von öffentlicher Interaktion innerhalb der Community.

## Zurechnung

Dieser Verhaltenskodex wurde adaptiert aus Version 2.1 des [Contributor Covenant][homepage]s, verfügbar unter [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

Die Richtlinien zu Anstößen in der Community wurden inspiriert durch [Mozillas Durchsetzungsleiter eines Verhaltenskodexes][Mozilla CoC].

Für Antworten zu allgemeinen Fragen über diesen Verhaltenskodex, schaue auf dem FAQ unter [https://www.contributor-covenant.org/faq][FAQ] vorbei. Übersetzungen sind unter [https://www.contributor-covenant.org/translations][translations] verfügbar.

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations
