# Código de conducta

## Nuestro Compromiso

Nosotros como miembros, contribuidores y líderes nos comprometemos a hacer que la participación en nuestra comunidad sea una experiencia libre de acoso para todos. Sin importar la edad, tipo de cuerpo, cualquier tipo de discapacidad, etnia, características sexuales, idea y expresión de género, nivel de experiencia, educación, estatus socioeconómico, nacionalidad, apariencia personal, raza, casta, color, religión, identidad u orientación sexual.

Nos comprometemos a actuar e interactuar de manera que contribuyan a una comunidad abierta, diversa, inclusiva y saludable.

## Nuestros estándares

Ejemplos de conductas que contribuyen a un entorno positivo para nuestra comunidad son:

- Demostrar empatía y amabilidad hacia los demás
- Respetar las opiniones, puntos de vista y experiencias ajenas
- Aportar y aceptar comentarios constructivos
- Aceptar la responsabilidad de nuestros errores, disculparse por ellos ante los afectados y aprender de la experiencia
- Enfocarse en lo que es mejor, no para nosotros como individuos, pero para la comunidad en general

Ejemplos de conductas inaceptables son:

- El uso de lenguaje o imágenes sexualizadas, insinuaciones sexuales o de cualquier tipo
- Molestar, insultar o usar comentarios insultantes o despectivos y ataques personales o políticos
- Acoso público o privado
- Publicar información privada de otras personas como, dirección física o de correo electrónico sin la previa autorización de la persona
- Cualquier otra conducta que pueda ser considerada inapropiada en un ambiente profesional

## Responsabilidades de Ejecución

Líderes de comunidad son responsables de clarificar y aplicar nuestros estándares de comportamiento y tomarán acciones correctivas justas y apropiadas ante cualquier comportamiento que ellos consideren inapropiado, amenazante, ofensivo o nocivo.

Los líderes de la comunidad tienen el derecho y la responsabilidad de remover, editar o rechazar comentarios, "commits", código, ediciones de la wiki, problemas y otras contribuciones que no estén alineadas con el código de conducta, y comunicaran las razones de su moderación cuando sea apropiado.

## Alcance

Este código de conducta aplica a todos los espacios dentro de la comunidad y también cuando una persona está representando a la comunidad en espacios públicos. Ejemplos de un representante de nuestra comunidad comprende usar una dirección de correo electrónico oficial, publicación en una red social a través de una cuenta oficial o actuar como representante designado en un evento, ya sea online o presencial.

## Ejecución

Los casos de abuso, acoso o alguna otra forma de comportamiento inapropiado pueden ser reportados a los líderes de la comunidad responsables del cumplimiento (véase el menú de _Contacto_ en [www.qownnotes.org](https://www.qownnotes.org/)). Todas las reclamaciones serán revisadas e investigadas inmediatamente y de manera justa.

Todos los líderes de la comunidad están obligados a respetar la privacidad y seguridad del informador en cualquier tipo de incidente.

## Directrices de Ejecución

Líderes de la comunidad seguirán las directrices de impacto comunitario para determinar las consecuencias de cualquier acción que ellos consideren una violación de este código de conducta:

### 1. Corrección

**Impacto en la comunidad:**: Uso de lenguaje inapropiado o comportamiento considerado poco profesional o mal recibido en la comunidad.

**Consecuencia**: Una advertencia escrita en privado de parte de los líderes de la comunidad, explicando la naturaleza de la infracción y porque el comportamiento es inapropiado. Una disculpa pública puede ser pedida.

### 2. Advertencia

**Impacto en la comunidad:**: Una violación a través de un incidente o una serie de acciones.

**Consecuencia**: Una advertencia con consecuencias por un comportamiento continuado. Ninguna interacción con las personas involucradas, Esto incluye interacciones no solicitadas con los ejecutantes del código de conducta por un tiempo determinado. Esto incluye evitar interacciones en espacios comunitarios y canales externos como las redes sociales. La infracción de estas condiciones puede dar lugar a un bloqueo temporal o permanente.

### 3. Bloqueo Temporal

**Impacto en la comunidad**: Una violación grave de las normas de la comunidad, incluyendo comportamiento inapropiado sostenido.

**Consecuencia**: Prohibición temporal de cualquier tipo de interacción o comunicación pública con la comunidad durante un periodo de tiempo determinado. Ninguna interacción sea de carácter público o privada con las personas involucradas, Esto incluye interacciones no solicitadas con los encargados hacer cumplir el código de conducta por un tiempo determinado. La infracción de estas condiciones puede dar lugar a un bloqueo temporal o permanente.

### 4. Bloqueo Permanente

**Impacto en la comunidad**: Demostrar un patrón de violación de las normas comunidad, incluido el comportamiento inadecuado sostenido, el acoso a un individuo, o agresión o menosprecio contra a diferentes clases de individuos.

**Consecuencia**: Prohibición permanente de cualquier tipo de interacción pública dentro de la comunidad.

## Atribución

Este Código de Conducta es una adaptación del [Pacto del Colaborador][homepage] versión 2.1, disponible en [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

Las directrices de impacto comunitario se inspiran en [la normativa de aplicación del código de conducta de Mozilla][Mozilla CoC].

Para obtener respuestas a las preguntas más habituales sobre este código de conducta, consulte las preguntas frecuentes en [https://www.contributor-covenant.org/faq][FAQ]. Las traducciones están disponibles en [https://www.contributor-covenant.org/translations][translations].

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations
