# قالب های زمانی:

هنگام درج زمان کنونی در یک یادداشت می ‌توانید از قالب زمانی خود استفاده کنید.

می توانید از این صفحه برای ایجاد قالب زمانی پیش فرض و شخصی استفاده کنید. می توانید آن رشته را در _یادداشت_>_ تنظیمات_>_ ویرایشگر_>_ درج زمان کنونی وارد کنید.</p>

## اصطلاحات مربوط به تاریخ

| اصطلاح | خروجی                                                      |
| ------ | ---------------------------------------------------------- |
| `d`    | روز به صورت عدد و بدون صفر مقدم (1 تا 31)                  |
| `dd`   | روز به صورت عدد با صفر مقدم (01 تا 31)                     |
| `ddd`  | نام اختصاری و متمرکز روز (مانند `Mon
` تا `Sun
`).         |
| `dddd` | نام طولانی و متمرکز روز (مانند `Monday
` تا `Sunday
`).    |
| `M`    | ماه به صورت عدد و بدون صفر مقدم (12-1)                     |
| `MM`   | ماه به صورت عدد با صفر مقدم (12-01)                        |
| `MMM`  | نام اختصاری و متمرکز ماه (مانند `Jan
` تا `Dec
`).         |
| `MMMM` | نام طولانی و متمرکز ماه (مانند `January
` تا `December
`). |
| `yy`   | سال به صورت عدد دو رقمی (99-00)                            |
| `yyyy` | سال به صورت عدد چهار رقمی                                  |

## اصطلاحات مربوط به زمان

| اصطلاح          | خروجی                                                                  |
| --------------- | ---------------------------------------------------------------------- |
| `h`             | ساعت بدون صفر مقدم (0 تا 23 یا 1 تا 12 با نمایش AM/PM)                 |
| `hh`            | ساعت با صفر مقدم (00 تا 23 یا 01 تا 12 با نمایش AM/PM)                 |
| `H`             | ساعت بدون صفر مقدم (0 تا 23، حتی با نمایش AM/PM)                       |
| `HH`            | ساعت با صفر مقدم (00 تا 23، حتی با نمایش AM/PM)                        |
| `m`             | دقیقه بدون صفر مقدم (0 تا 59)                                          |
| `mm`            | دقیقه با صفر مقدم (00 تا 59)                                           |
| `s`             | ثانیه بدون صفر مقدم (0 تا 59)                                          |
| `ss`            | ثانیه با صفر مقدم (00 تا 59)                                           |
| `z`             | میلی ثانیه بدون صفرهای مقدم (0 تا 999)                                 |
| `zzz`           | میلی ثانیه با صفرهای مقدم (000 تا 999)                                 |
| `
AP
` یا `
A
` | از نمایش AM/PM استفاده کنید. A/AP با یا `AM
` یا `PM
` جایگزین می شود. |
| `ap
` یا `a
`   | از نمایش am/pm استفاده کنید. a/ap با یا `am
` یا `pm
` جایگزین می شود. |
| `t`             | منطقه زمانی (برای مثال `CEST
`)                                        |

## رشته های قالب نمونه

| قالب               | نتیجه            |
| ------------------ | ---------------- |
| `dd.MM.yyyy hh:mm` | 21.05.2001 14:13 |
| `dd.MM.yyyy`       | 21.05.2001       |
| `ddd MMMM d yy`    | Tue May 21 01    |
| `hh:mm:ss.zzz`     | 14:13:09.042     |
| `h:m:s ap`         | 2:13:9 pm        |

::: tip Info
برای اطلاعات بیشتر در مورد قالب های زمانی نگاهی به [مستندات Qt ](http://doc.qt.io/qt-5/qdatetime.html#toString) بیندازید.
:::

::: tip
در صورت نیاز به عملیات پیچیده تر به منظور دستیابی به زمان کنونی، لطفاً ایجاد یک [فعالیت سفارشی](../scripting/methods-and-objects.md#registering-a-custom-action) را در نظر داشته باشید.
:::
