# 번역

도와주셔서 감사합니다!

QOWNNotes 번역을 어떻게 도와드릴까요?

## Crowdin에 참여하여 QOwnNotes를 번역하십시오

![crowdin](/img/crowdin.png)

**Crowdin **은 모바일 앱, 웹, 데스크톱 소프트웨어 및 관련 자산을 위한 인기 있는 현지화 관리 플랫폼입니다.

[Crowdin](https://crowdin.com/project/qownnotes)에서 가입하고 간단한 도구로 **QOwnNotes**를 사용자 언어로 **번역**할 수 있습니다.

**[Crowdin에서 QOwnNotes](https://crowdin.com/project/qownnotes)**

QOwnNotes를 새로운 언어로 번역하려면 [프로젝트 소유자에게 Crowdin](https://crowdin.com/profile/pbek) 또는 [GitHub issue](https://github.com/pbek/QOwnNotes/issues) 로 메시지를 전달하십시오.

**기존 언어**에 새 번역을 추가하려면 바로 추가할 수 있습니다.

## 교정

만약 당신이 아직 교정되지 않은 번역된 언어의 우수한 원어민이거나 심지어 원어민이라면, 우리는 당신이 승인되지 않은 번역을 확인하고 필요한 경우 수정함으로써 QOWNNotes 경험을 더 신뢰할 수 있고 편리하게 할 수 있도록 도와주신다면 감사하겠습니다. 당신은 당신의 언어에 대한 교정자가 되기 위해 소유자에게 허가를 요청해야 합니다.

번역된 언어 중에 해당 언어가 있는지 확인하려면 여기를 클릭하십시오!

[Crowdin에서 QOwnNotes](https://translate.qownnotes.org/)

[Crowdin의 프로젝트 소유자에게 연락](https://crowdin.com/profile/pbek)하여 해당 언어로 교정을 볼 수 있는 권한을 얻으면 바로 사용할 수 있습니다!

## 일반 팁

프로젝트를 진행하는 동안 몇 가지 사항을 고려해 주세요.

### 정확성

대상 언어가 유창할 수 있도록 최대한 정확하게 현지화하십시오.

### 정밀도

대상은 문자열의 어떤 부분도 생략하거나 추가하지 않고 소스를 정확하게 표현해야 합니다.

### 문맥

더 많은 문맥이 필요하거나 특정 문자열에 대한 도움말이 필요하고 다른 언어를 알고 있는 경우 언어를 변경하고 다른 번역자가 세그먼트에서 만든 내용을 볼 수 있습니다. 하지만 언제든지 메시지를 남기고 페이지 오른쪽에 설명을 요청하세요.

### 자주 사용되는 주요 용어

자주 사용하는 주요 용어에 대해 동일한 번역을 확인하고 사용해야 합니다. 예를 들어, "노트"는 항상 동일한 방식으로 번역되어야 합니다.

한국어로 `VenusGirl`이 `비너스걸`인 경우 항상 이 표현을 사용하여 번역합니다. 문법적으로 대안을 사용해야 하는 경우는 예외이지만, 단순하게 유지하십시오.

![스크린샷](/img/crowdin/screenshot-7.png)

모든 동일한 표현을 찾기 위해 Crowdin을 검색하여 용어의 모든 발생이 실제로 동일한 번역을 가지고 있는지 확인하십시오. 만약 당신이 더 잘 알고 있다면, 그것들이 더 나은 번역을 제안하고 더 나은/올바른 번역을 위해 투표 (또는 찬성)할 수 있습니다.

가능한 한 모든 항목을 동일하게 현지화합니다.

`노트`에는 반드시 번역이 하나만 있어야 합니다.

### 복수형

복수는 해당 블록에 각각 적절한 번역을 추가해주세요.

![스크린샷](/img/crowdin/screenshot-4.png)

### 변수

`%1` 변수는 공백 없이 작성해야 합니다. RTL 언어로 다음 중 하나를 수행할 수 있습니다 원본에서 변수를 삽입하거나 번역에 씁니다.

![스크린샷](/img/crowdin/screenshot-1.png)

![스크린샷](/img/crowdin/screenshot-5.png)

![스크린샷](/img/crowdin/screenshot-3.png)

### 액세스 키

단축키에 사용해야 하는 모든 문자 앞에 `&`를 사용합니다. 원본과 동일할 수 있지만 그럴 필요는 없습니다.

![스크린샷](/img/crowdin/screenshot-4.png)

### 사용자 지정 컨테이너

설명서의 `::: tip`, `::: warning` 및 `::: info`와 같은 문자열은 VuePress의 [사용자 지정](https://vuepress.vuejs.org/guide/markdown.html#custom-containers) 컨테이너에 대한 마커이므로 변환해서는 안 됩니다.

### 다른 문자열은 변환할 수 없습니다

설명서에서 번역하지 않는 일부 세그먼트:

- 코드나 링크는 절대 번역하지 말고 태그는 그대로 두어야 합니다 (일부 기계 번역에서는 공백을 추가하지 않으므로 삭제해야 합니다).
- 날짜와 시간은 번역하지 않습니다 (비워둡니다).
- 또한 참조를 번역하지 않으므로 (QOwnNotes가 수많은 번역 언어로 제공한) 간단히 생략할 수 있습니다

## 번역과 교정은 흥미로울 수 있습니다!

당신은 이 소프트웨어의 언어를 다루고, 새로운 용어를 배우고, 프로젝트에 대한 많은 내부 정보를 받게 될 것입니다.

따라서 언어 번역을 교정할 준비가 되어 있다면, [Patrizio](https://crowdin.com/profile/pbek)에 문의하여 질문이 있거나 모국어로 교정을 받을 수 있는 권한을 얻으십시오.

도와주셔서 정말 감사합니다! 🙂
