# Gedragscode

## Onze belofte

Wij, leden, bijdragers en leiders beloven dat onze deelname aan onze gemeenschap er een is zonder intimidatie van eenieder, ongeacht leeftijd, lichaamsgrootte, zichtbare of onzichtbare beperking, etniciteit, geslachtskenmerken, geslachtsidentiteit en -uiting, ervaringsniveau, opleiding, sociaal-economische status, nationaliteit, persoonlijk uiterlijk, ras, kaste, kleur, religie of seksuele identiteit en oriëntatie.

We beloven te handelen en te communiceren op manieren die bijdraagt aan een open, gastvrije, diverse, inclusieve en gezonde gemeenschap.

## Onze normen

Voorbeelden van gedrag dat bijdraagt aan een positieve omgeving voor onze gemeenschap omvatten:

- Empathie en vriendelijkheid tonen jegens andere mensen
- Respect hebben voor verschillende meningen, standpunten en ervaringen
- Het geven en dankbaar accepteren van constructieve feedback
- Verantwoordelijkheid nemen en onze excuses aanbieden aan degenen die door onze fouten zijn getroffen en leren van de ervaring
- Focussen op wat het beste is, niet alleen voor ons als individu, maar voor de gemeenschap als geheel

Voorbeelden van ongewenst gedrag zijn onder meer:

- Het gebruik van geseksualiseerde taal of beelden, en seksuele aandacht of elke vorm van seksuele toenadering
- Trollende, beledigende of denigrerende opmerkingen en persoonlijke of politieke aanvallen
- Openbare of privé-intimidatie
- Het publiceren van privé-informatie van anderen, zoals een fysiek of e-mailadres zonder uitdrukkelijke toestemming
- Ander gedrag dat redelijkerwijs als ongepast kan worden beschouwd in een professionele omgeving

## Handhavingsverantwoordelijkheden

Gemeenschapsleiders zijn verantwoordelijk voor het verduidelijken en handhaven van onze normen rond aanvaardbaar gedrag en zullen passende en eerlijke corrigerende maatregelen nemen in reactie op elk gedrag dat zij ongepast, bedreigend, aanstootgevend of schadelijk achten.

Gemeenschapsleiders hebben het recht en de verantwoordelijkheid om opmerkingen, commits, code, wiki-bewerkingen, problemen en andere bijdragen die niet in overeenstemming zijn met deze gedragscode te verwijderen, te bewerken of af te wijzen en zullen hun redenen voor aanpassingsbeslissingen zo nodig communiceren.

## Toepassingsgebied

Deze gedragscode is van toepassing binnen alle gemeenschappelijke ruimtes en is evenzo van toepassing wanneer een individu de gemeenschap officieel vertegenwoordigt in openbare ruimtes. Voorbeelden van vertegenwoordiging van onze gemeenschap zijn het gebruik van een officieel e-mailadres, het posten via een officieel social media-account of optreden als een aangewezen vertegenwoordiger bij een online of offline evenement.

## Handhaving

Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement (see _Contact_ menu on [www.qownnotes.org](https://www.qownnotes.org/)). Alle klachten worden snel en eerlijk onderzocht en beoordeeld.

Alle gemeenschapsleiders zijn verplicht om de privacy en veiligheid van de aangever van een incident te respecteren.

## Handhavingsrichtlijnen

Gemeenschapsleiders zullen deze Handhavingsrichtlijnen van de gemeenschap volgen bij het bepalen van de gevolgen voor elke actie die zij in strijd met deze gedragscode achten:

### 1. Correctie

**Impact op de gemeenschap**: gebruik van ongepaste taal of ander gedrag dat onprofessioneel of ongewenst wordt geacht in de gemeenschap.

**Consequentie**: een privé, schriftelijke waarschuwing van gemeenschapsleiders, welke duidelijkheid verschaft over de aard van de overtreding en een uitleg waarom het gedrag ongepast was. Er kan om een openbare verontschuldiging worden verzocht.

### 2. Waarschuwing

**Impact op de gemeenschap**: een overtreding door een enkel incident of een reeks van acties.

**Consequentie**: Een waarschuwing met gevolgen bij aanhoudend gedrag. Geen interactie met de betrokken mensen, inclusief ongevraagde interactie met degenen die de Gedragscode handhaven, voor een bepaalde periode. Dit omvat het vermijden van interacties in gemeenschapsruimten en externe kanalen zoals sociale media. Overtreding van deze voorwaarden kan leiden tot een tijdelijk of permanent verbod.

### 3. Tijdelijk verbod

**Impact op de gemeenschap**: een ernstige schending van gemeenschapsnormen, waaronder aanhoudend ongepast gedrag.

** Consequentie**: een tijdelijk verbod op elke vorm van interactie of openbare communicatie met de gemeenschap gedurende een bepaalde periode. In deze periode is geen openbare of privé-interactie met de betrokken personen toegestaan, inclusief ongevraagde interactie met degenen die de gedragscode handhaven. Overtreding van deze voorwaarden kan leiden tot een permanent verbod.

### 4. Permanent verbod

**Impact op de gemeenschap**: een aantoonbaar patroon van schending van gemeenschapsnormen, waaronder aanhoudend ongepast gedrag, intimidatie van een individu of agressie tegen of minachting van (groepen) individuen.

**Consequentie**: een permanent verbod op elke vorm van openbare interactie binnen de gemeenschap.

## Referentie

Deze gedragscode is gebaseerd op het [Contributor Covenant][homepage], versie 2.1, beschikbaar op [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].

De handhavingsrichtlijnen zijn geïnspireerd door [Mozilla's gedragscode-handhavingsladder][Mozilla CoC].

Voor antwoorden op veelgestelde vragen over deze gedragscode, zie de FAQ op [https://www.contributor-covenant.org/faq][FAQ]. Vertalingen zijn beschikbaar op [https://www.contributor-convenant.org/translations][translations].

[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations
