# Vertaling

Bedankt voor je hulp!

Hoe kan ik helpen bij het vertalen van QOwnNotes?

## Ga met ons mee op Crowdin om QOwnNotes te vertalen

![crowdin](/img/crowdin.png)

**Crowdin** is een populair lokalisatiebeheerplatform voor mobiele apps, internet, desktopsoftware en aanverwante middelen.

U kunt zich aanmelden bij [Crowdin](https://crowdin.com/project/qownnotes) en **QOwnNotes** met eenvoudige tools in jouw taal **vertalen**.

**[QOwnNotes op Crowdin](https://crowdin.com/project/qownnotes)**

[Stuur de projecteigenaar gewoon een bericht op Crowdin](https://crowdin.com/profile/pbek) of als een [GitHub-probleem](https://github.com/pbek/QOwnNotes/issues) als je QOwnNotes naar een nieuwe taal wilt vertalen.

Als u nieuwe vertalingen aan **bestaande talen** wilt toevoegen, kunt u dit meteen doen.

## Proeflezen

Als u een uitstekende of zelfs moedertaalspreker bent van een reeds vertaalde taal die nog niet is nagelezen, stellen we het op prijs als u helpt om de QOwnNotes-ervaring betrouwbaarder en gemakkelijker te maken door niet-goedgekeurde vertalingen te controleren en indien nodig te corrigeren. U moet de eigenaar om toestemming vragen om proeflezer voor uw taal te zijn.

Klik hier om te zien of uw taal een van de vertaalde talen is!

[QOwnNotes op Crowdin](https://translate.qownnotes.org/)

Zodra je [contact hebt opgenomen met de projecteigenaar op Crowdin](https://crowdin.com/profile/pbek) en toestemming hebt gekregen om in jouw taal te proeflezen, ben je klaar om te gaan!

## Allgemeine Hinweise

Overweeg een paar dingen terwijl u aan het project werkt.

### Nauwkeurigheid

Lokaliseer met de grootst mogelijke nauwkeurigheid en zorg voor vloeiendheid in uw doeltaal.

### Precisie

Het doel moet de bron exact weergeven en zonder weglatingen of toevoegingen van enig deel van de tekenreeks.

### Context

Als je meer context nodig hebt, of hulp bij een bepaalde string, en je kent een andere taal, dan kun je de taal veranderen en zien wat andere vertalers van het segment hebben gemaakt. Maar laat gerust een bericht achter en vraag om opheldering aan de rechterkant van de pagina.

### Veelgebruikte sleuteltermen

Het is noodzakelijk om dezelfde vertalingen te controleren en te gebruiken voor de veelgebruikte sleuteltermen, bijvoorbeeld "note" moet altijd op dezelfde manier worden vertaald.

Als `weggegooide notities` ` verwijderde bestanden` in het Nederlands is vertaald, zou je het altijd identiek vertalen. Uitzondering zou zijn wanneer u grammaticaal een alternatief moet gebruiken, maar het simpel houdt.

![screenshot](/img/crowdin/screenshot-7.png)

Om alle identieke uitdrukkingen te vinden, zoekt u in Crowdin of alle exemplaren van een term inderdaad dezelfde vertaling hebben. U kunt een betere vertaling voorstellen en op de andere stemmen.

Lokaliseer alle voorvallen zo identiek mogelijk.

`Opmerking` zou beslist altijd maar één vertaling moeten hebben.

### Meervoudsvormen

Voeg voor meervoud de juiste vertaling toe, elk in het overeenkomstige blok.

![screenshot](/img/crowdin/screenshot-4.png)

### Variabelen

De variabelen `%1` moeten zonder spatie worden geschreven, in RTL-talen kunt u de variabelen uit het origineel invoegen of ze in uw vertaling schrijven.

![screenshot](/img/crowdin/screenshot-1.png)

![screenshot](/img/crowdin/screenshot-5.png)

![screenshot](/img/crowdin/screenshot-3.png)

### Toegangssleutels

Gebruik `&` voor elke letter die in een snelkoppeling moet worden gebruikt, kan hetzelfde zijn als in het origineel, maar hoeft niet.

![screenshot](/img/crowdin/screenshot-4.png)

### Aangepaste containers

Tekenreeksen zoals `::: tip`, `::: warning` en `::: info` in de documentatie zijn markeringen voor [custom containers](https://vuepress.vuejs.org/guide/markdown.html#custom-containers) in VuePress en mogen niet worden vertaald.

### Andere tekenreeksen die niet moeten worden vertaald

Sommige segmenten vertalen we niet in de documentatie:

- Vertaal nooit codes of links, tags moeten blijven zoals ze zijn (en zonder toegevoegde spaties, zoals sommige machine vertaling dat doen, die moeten worden verwijderd)
- Wij vertalen datum en tijd niet (leeg laten)
- En we vertalen ook geen referenties (die QOwnNotes in tal van vertaaltalen heeft), dus je kunt ze gewoon overslaan

## Vertalen en proeflezen kan spannend zijn!

Je zult omgaan met de taal van deze software, nieuwe termen leren en veel inside-informatie over het project ontvangen.

Als u dus klaar bent om te helpen bij het proeflezen van de vertaling van uw taal, neem dan contact op met [Patrizio](https://crowdin.com/profile/pbek) en vraag of u vragen heeft en/of de rechten voor proeflezen in uw moedertaal verkrijgt.

Heel erg bedankt voor je hulp! 🙂
